<div class="delete-text">
  <h4 *ngIf="!data.id || data.id==1;else othertitle">{{data.text}}?</h4>
  <ng-template #othertitle><h4>{{data.id==2?'Create driver?':'Create vehicle?'}}</h4></ng-template>
  <p>
    <label style="font-weight: 100" *ngIf="data.id && data.id!==1">Company</label>
    <mat-select *ngIf="data.id && data.id!==1" [(ngModel)]="companyId[0]" placeholder="Company" class="form-control">
      <mat-option *ngFor="let company of companyData" [value]="company._id">
        {{company.company_name}}
      </mat-option>
    </mat-select>
  </p>
  <p *ngIf="data.id && data.id==2">
      <label style="font-weight: 100">Driver type</label>
      <mat-select [(ngModel)]="driver_type" placeholder="Driver type" class="form-control">
        <mat-option value="0">Company Driver
        </mat-option>
        <mat-option value="1">Freelance Driver
          </mat-option>
      </mat-select>
    </p>
  <div class="delete-btn">
    <div *ngIf="companyId[0];else other">
        <button class="btn btn-sm btn-primary blue" [disabled]="!companyId[0]" [mat-dialog-close]="{status:data.id,company:companyId[0],driver_type:driver_type}">Proceed</button>
    </div>
    <ng-template #other>
      <button class="btn btn-sm btn-primary blue" [mat-dialog-close]="true" *ngIf="!data.type">Proceed</button>
    </ng-template>
    <button class="btn btn-sm btn-primary red" [mat-dialog-close]>Cancel</button>
  </div>
</div>